package cn.iocoder.yudao.module.pms.service.yanfan.sip;

import cn.iocoder.yudao.module.pms.controller.admin.yanfan.sip.vo.VideoSessionInfo;
import cn.iocoder.yudao.module.pms.service.yanfan.play.model.Stream;
import com.alibaba.fastjson.JSONObject;

public interface IZmlHookService {
    JSONObject onHttpAccess(JSONObject json);
    JSONObject onPlay(JSONObject json);
    JSONObject onPublish(JSONObject json);
    JSONObject onStreamNoneReader(JSONObject json);
    JSONObject onStreamNotFound(JSONObject json);
    JSONObject onStreamChanged(JSONObject json);
    JSONObject onFlowReport(JSONObject json);
    JSONObject onRtpServerTimeout(JSONObject json);
    JSONObject onSendRtpStopped(JSONObject json);
    JSONObject onRecordMp4(JSONObject json);
    JSONObject onServerStarted(JSONObject json);
    JSONObject onServerKeepalive(JSONObject json);
    JSONObject onServerExited(JSONObject json);
    Stream updateStream(VideoSessionInfo sinfo);
}
